summaryrefslogtreecommitdiffstats
path: root/common
diff options
context:
space:
mode:
authorSzilard Cserey <szilard.cserey@ericsson.com>2015-09-15 14:26:38 +0200
committerSzilard Cserey <szilard.cserey@ericsson.com>2015-09-15 16:17:12 +0200
commite50bd70324f20949098c082b560536047b435027 (patch)
treefb179a853066b71217e3373345acac1d4f46ac9b /common
parentd72aa3b7da9f9e2eb5bd0690be58365027a70f0a (diff)
FIX for bringing down pxebr in clean.sh
Wait for 5 seconds after pxebr has been brought down Change-Id: Ic9e64a484eeab6be63df3c7c4b9b98bed1cd2ed4 Signed-off-by: Szilard Cserey <szilard.cserey@ericsson.com>
Diffstat (limited to 'common')
-rwxr-xr-xcommon/ci/clean.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/common/ci/clean.sh b/common/ci/clean.sh
index da75205..caaf88f 100755
--- a/common/ci/clean.sh
+++ b/common/ci/clean.sh
@@ -239,8 +239,15 @@ done
echo "${blue}Checking whether PXE bridge ${pxe_bridge} exists${reset}"
if ! brctl show ${pxe_bridge} 2>&1 | grep -i 'No such device'; then
echo "${blue}PXE bridge detected. Removing...${reset}"
- if ifconfig | grep ${pxe_bridge}; then
- ifdown ${pxe_bridge}
+ link_state=$(ip link show ${pxe_bridge} | grep -oP 'state \K[^ ]+')
+ if [[ ${link_state} != 'DOWN' ]]; then
+ ip link set dev ${pxe_bridge} down
+ sleep 5
+ link_state=$(ip link show ${pxe_bridge} | grep -oP 'state \K[^ ]+')
+ if [[ ${link_state} != 'DOWN' ]]; then
+ echo "${red}Could not bring DOWN bridge ${pxe_bridge} link state is ${link_state}${reset}"
+ exit 1
+ fi
fi
brctl delbr ${pxe_bridge}
if ifconfig | grep ${pxe_bridge} || brctl show | grep ${pxe_bridge}; then